Upload Creative Image
Upload image assets for building a creative for a specific advertiser
Form-Data Properties
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| file | The binary data for the suitable image file demonstrating your creative | file | Y | The file should be:
|
| assetType | Identifies the type of photo asset as either an image or logo. CP UI will use this to populate the Photos and Logos tabs. | string | Y | Values: image, logoDefault value: image |
Request Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | ID of the advertiser | integer | Y | Valid advertiser ID |
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
| Authorization | The token will provide you the access to the API. It is same for all advertisers you access through the API. | Y | Please utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide |
| Content-Type | Format of the message body | Y | application/json |
| WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Please use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM_SEC.AUTH_SIGNATURE | Signature for authentication | Y | Use the signature generator code from Getting Started Guide to generate this value |
| WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
| WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code from Getting Started Guide to generate this value |
Note: advertiser_id is serving as header parameter in this request. This header is X-Advertiser-ID. If You pass a request with headers like advertiserId=123, the request will fail.
Sample Request
curl -X POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/assets/photo' --header 'X-Advertiser-ID: <advertiser_id>' --header 'Content-Type: multipart/form-data' --header 'Authorization: Bearer <auth_token>' --header 'WM_SEC.AUTH_SIGNATURE: **************' --header 'WM_SEC.KEY_VERSION: 1' --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' --header 'WM_CONSUMER.intimestamp: 1565309779' --form 'assetType=logo' --form 'file=@"/test-image.jpeg" '
Response
| Element | Description | Type |
|---|---|---|
| code | The response code can have following values:
Click here for more information about Status Codes and Errors | string |
| details | Possible values of details:
| string |
| assetId | Identifier for the image uploaded. Use assetId to use this image while building creatives | string |
Sample Response
[ { "code": "success", "details": ["success"], "assetId": "123d567-g7ty" } ]